import { IMchc_Doctor_Diagnoses, IMchc_Doctor_OutpatientHeaderInfo } from '@lm_fe/service';
import React from 'react';
import './index.less';
interface IProps {
    diagnosesWord: string;
    diagnosesList: IMchc_Doctor_Diagnoses[];
    addDiag(v: any): void;
    headerInfo: IMchc_Doctor_OutpatientHeaderInfo;
    closeTemplate(): void;
    isShowDiagnosesTemplate: boolean;
    getHighriskDiagnosis(id: any): void;
    setDiagnosesList(v: IMchc_Doctor_Diagnoses[]): void;
    saveHeaderInfo(h: IMchc_Doctor_OutpatientHeaderInfo): void;
}
declare function DiagnosesTemplateOld(props: IProps): React.JSX.Element;
export default DiagnosesTemplateOld;
